> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/notification.md).

# Notification

It is a webhook for publishers to receive a notification. Publishers should provide the webhook URL to the integration support team to receive the notification.

## **Webhook headers**

| Header       | Content                                                     |
| ------------ | ----------------------------------------------------------- |
| x-signature  | To perform an integrity check, signature value for checksum |
| Content-Type | Content type will always be application/json                |

## **Webhook payload**

| Parameter       | Description                                                                                                                                                                                                         |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| payout\_id      | A unique ID of the payout, created by Coda                                                                                                                                                                          |
| request\_id     | A unique request ID that is attached to the payout request, created by Merchant                                                                                                                                     |
| request\_amount | Total requested payout amount                                                                                                                                                                                       |
| target\_amount  | <p>Total final amount paid out to beneficiary (after deducting fees, gst, various taxes depending on Merchant contract with Coda)</p><p>Note: request\_amount and target\_amount can be in different currencies</p> |
| payout\_status  | Payout status for this transaction. Refer to the [Payout Statuses](broken://pages/ZaztY47YSiUzyZuhqJPK#payout-statuses) table for the different statuses.                                                           |
| error           | This will show the error message if there is an error.                                                                                                                                                              |

## **Sample Notification Payload**

{% tabs %}
{% tab title="Success" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "success",
        "message": "Payout is successful"
    },
    "error": null
}
```

{% endtab %}

{% tab title="Failed" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "Failed",
        "message": "Payout has failed, refer to the error message for more details."
    },
    "error": {
      "code": "INCOMPLETE_DATA",
        "message": "Data sent are incomplete and the request cannot be completed."
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
